Subject: Re: [nfsv4] Comments on requirements document

From: James Lentini <[email-masked]>
Date: Wed, 29 Oct 2008 11:47:18 -0400 (EDT)

> > > > > S7.1, p17:
> > > > > A7 seems unnecessary and vague.
> > > > >         
> > > > I don't think it is unnecessary. What do you find vague about 
> > > > it?
> > > >       
> > > At a high level, it says that things implementing this protocol 
> > > must implement this protocol (correctly).  That's a tautology 
> > > :-) The "Byzantine server" comment doesn't add enough detail to 
> > > help. Do you think this paragraph has clear value?  If so, what 
> > > is it saying?
> > >     
> > 
> > I see value in clearly stating that the protocols are not designed 
> > to protect against one of the entities, say an NSDB, functioning 
> > incorrectly.
>
> Just out of curiosity, can you give an example of a high level
> protocol such as this, which is designed to protect against an
> entity which is not functioning correctly, either from an
> incorrect implementation or environmental factors?
>
>   Thanx...
>
>      ps

Just about all protocols I can think of are designed to deal with 
incorrect implementations. In the context of this requirement, the 
FedFS protocols do not guard against Byzantine failures such as an 
NSDB that purposely reports incorrect information.

[note: I've removed the sdsc mailing list from the cc line as this 
email did come through properly on the old list.]

_______________________________________________
nfsv4 mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/nfsv4